# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TOpenSessionReq

Packages that use TOpenSessionReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TOpenSessionReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TOpenSessionReq
Modifier and Type
Class
Description
`class`
`TOpenSessionReq`
`class`
`TOpenSessionReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TOpenSessionReq
Modifier and Type
Field
Description
`TOpenSessionReq`
TCLIService.OpenSession_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TOpenSessionReq
Modifier and Type
Method
Description
`TOpenSessionReq`
TOpenSessionReq.`deepCopy()`
`TOpenSessionReq`
TCLIService.OpenSession_args.`getReq()`
`TOpenSessionReq`
TOpenSessionReq.`setCanUseMultipleCatalogs(boolean canUseMultipleCatalogs)`
`TOpenSessionReq`
TOpenSessionReq.`setClient_protocol(TProtocolVersion client_protocol)`
`TOpenSessionReq`
TOpenSessionReq.`setClient_protocol_i64(long client_protocol_i64)`
`TOpenSessionReq`
TOpenSessionReq.`setConfiguration(Map<String,String> configuration)`
`TOpenSessionReq`
TOpenSessionReq.`setConnectionProperties(Map<String,String> connectionProperties)`
`TOpenSessionReq`
TOpenSessionReq.`setGetInfos(List<TGetInfoType> getInfos)`
`TOpenSessionReq`
TOpenSessionReq.`setInitialNamespace(TNamespace initialNamespace)`
`TOpenSessionReq`
TOpenSessionReq.`setPassword(String password)`
`TOpenSessionReq`
TOpenSessionReq.`setUsername(String username)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TOpenSessionReq
Modifier and Type
Method
Description
`int`
TOpenSessionReq.`compareTo(TOpenSessionReq other)`
`boolean`
TOpenSessionReq.`equals(TOpenSessionReq that)`
`void`
TCLIService.AsyncClient.`OpenSession(TOpenSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp> resultHandler)`
`void`
TCLIService.AsyncIface.`OpenSession(TOpenSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp> resultHandler)`
`TOpenSessionResp`
TCLIService.Client.`OpenSession(TOpenSessionReq req)`
`TOpenSessionResp`
TCLIService.Iface.`OpenSession(TOpenSessionReq req)`
`void`
TCLIService.Client.`send_OpenSession(TOpenSessionReq req)`
`TCLIService.OpenSession_args`
TCLIService.OpenSession_args.`setReq(TOpenSessionReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TOpenSessionReq
Modifier
Constructor
Description
``
`OpenSession_args(TOpenSessionReq req)`
``
`OpenSession_call(TOpenSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TOpenSessionReq(TOpenSessionReq other)`
Performs a deep copy on other.